STRUCT IS_IEQUAL(3)

NAME
boost::algorithm::is_iequal - case insensitive version of is_equal

SYNOPSIS

// In header: <boost/algorithm/string/compare.hpp>
struct is_iequal {
  // construct/copy/destruct
  is_iequal(const std::locale & = std::locale());
  // public member functions
  template<typename T1, typename T2>
    bool operator()(const T1 &, const T2 &) const;
};

DESCRIPTION

Case insensitive comparison predicate. Comparison is done using specified locales.

  is_iequal public construct/copy/destruct

    1.

    is_iequal(const std::locale & Loc = std::locale());

    Constructor.

    Parameters:

        Loc
            locales used for comparison

  is_iequal public member functions

    1.

    template<typename T1, typename T2>
      bool operator()(const T1 & Arg1, const T2 & Arg2) const;

    Function operator. Compare two operands. Case is ignored.